=== debian/control ===
Source: ros-kinetic-pilz-robot-programming
Section: misc
Priority: extra
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), python-coverage, python-docopt, python-mock, ros-kinetic-catkin, ros-kinetic-pilz-industrial-motion-testutils, ros-kinetic-prbt-moveit-config, ros-kinetic-prbt-pg70-support, ros-kinetic-roslint, ros-kinetic-rospy, ros-kinetic-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-pilz-robot-programming
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-psutil, ros-kinetic-moveit-commander, ros-kinetic-pilz-msgs, ros-kinetic-pilz-trajectory-generation, ros-kinetic-rospy, ros-kinetic-tf, ros-kinetic-tf-conversions
Description: An Easy to use API to execute standard industrial robot commands like Ptp, Lin, Circ and Sequence using Moveit.
